selftest: Run smbtorture3 SHORTNAME-TEST without unix extensions
[samba.git] / source3 / script / tests / test_smbtorture_s3_no_unix_ext.sh
diff --git a/source3/script/tests/test_smbtorture_s3_no_unix_ext.sh b/source3/script/tests/test_smbtorture_s3_no_unix_ext.sh
new file mode 100755 (executable)
index 0000000..19af4ff
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/bash
+# this runs test_smbtorture_s3 with disabled unix extensions
+
+if [ -z "$SERVERCONFFILE" ] ; then
+    echo \$SERVERCONFFILE not defined
+    exit 1
+fi
+inject=${SERVERCONFFILE%/*}/global_inject.conf
+
+echo "unix extensions = no" > ${inject}
+$(dirname $0)/test_smbtorture_s3.sh $*
+ret=$?
+> ${inject}
+exit $ret